<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/TypeAnalysis/ConstEvaluator.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/TypeAnalysis/ConstEvaluator.hh Details</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/TypeAnalysis/ConstEvaluator.hh</h1><div><a href="../../../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><ul>
<li>include <a href="../PTree/Visitor.hh.html" >Synopsis/PTree/Visitor.hh</a></li>
<li>include <a href="../PTree/Atoms.hh.html" >Synopsis/PTree/Atoms.hh</a></li>
<li>include <a href="../PTree/Lists.hh.html" >Synopsis/PTree/Lists.hh</a></li>
<li>include <a href="../SymbolLookup/Scope.hh.html" >Synopsis/SymbolLookup/Scope.hh</a></li>
</ul>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Classes in Synopsis::TypeAnalysis</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >ConstEvaluator</a>
<div class="doc"><p>Evaluate the value of a constant expression.</p>
</div></div>

</div>
<div><h3>Data members in Synopsis::TypeAnalysis::ConstEvaluator</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#my_scope" >my_scope</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#my_valid" >my_valid</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#my_value" >my_value</a>
<div class="doc"></div></div>

</div>
<div><h3>Functions in Synopsis::TypeAnalysis</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#evaluate_const_lconst.SymbolLookup_mScope_S_cconst.PTree_mNode_S_clong_A_r" >evaluate_const&#40;const&#160;SymbolLookup::Scope*&#44;const&#160;PTree::Node*&#44;long&amp;&#41;</a>
<div class="doc"><p>Evaluate the value of a constant expression.</p>
</div></div>

</div>
<div><h3>Member functions in Synopsis::TypeAnalysis::ConstEvaluator</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#ConstEvaluator_lconst.SymbolLookup_mScope_S_r" >ConstEvaluator&#40;const&#160;SymbolLookup::Scope*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#evaluate_lconst.PTree_mNode_S_clong_A_r" >evaluate&#40;const&#160;PTree::Node*&#44;long&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#visit_lPTree_mCondExpr_S_r" >visit&#40;PTree::CondExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#visit_lPTree_mFstyleCastExpr_S_r" >visit&#40;PTree::FstyleCastExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#visit_lPTree_mIdentifier_S_r" >visit&#40;PTree::Identifier*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#visit_lPTree_mInfixExpr_S_r" >visit&#40;PTree::InfixExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#visit_lPTree_mLiteral_S_r" >visit&#40;PTree::Literal*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#visit_lPTree_mParenExpr_S_r" >visit&#40;PTree::ParenExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#visit_lPTree_mSizeofExpr_S_r" >visit&#40;PTree::SizeofExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#visit_lPTree_mUnaryExpr_S_r" >visit&#40;PTree::UnaryExpr*&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Namespaces in Synopsis</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis.html" >TypeAnalysis</a>
<div class="doc"></div></div>
</div>

</body>
</html>
